body.menu-hover .site {
    position: relative;
}
/* body.popup-show {
    overflow: hidden;
} */
/* body.popup-show .site::after, */
body.menu-open .site::after,
body.menu-hover .site::after {
    opacity: 0.55;
}
body .site::after {
    content: '';
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    background: #000000;
    display: block;
    opacity: 0;
    pointer-events: none;
}
header .header-right {
    display: flex;
    gap: 30px;
    width: 100%;
    justify-content: flex-end;
    align-items: center;
    margin-top: 2px;
}
header .header-wraper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
}
header .header-logo {
    position: relative;
    z-index: 2;
    max-width: 178px;
    width: 100%;
}
header .logo img {
    display: block;
    position: absolute;
    height: 70px;
    width: auto;
    top: 0;
    left: 0;
    transition: opacity .3s;
}
header.animation-run .menu-modal-toggle > span,
header.animation-run .header-lang ul li:not(:last-child)::after,
header.animation-run .header-lang a,
header.animation-run .logo {
    -webkit-clip-path: polygon(-1% 101%, 101% 101%, 101% -1%, -1% -1%);
    clip-path: polygon(-1% 101%, 101% 101%, 101% -1%, -1% -1%);
}
.menu-modal-toggle > span,
.header-lang a {
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
}
header .logo {
    display: block;
    width: auto;
    max-width: 178px;
    width: 100%;
    display: block;
    position: relative;
    height: 70px;
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
    transition: all .5s;
}
header {
    padding: 15px 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
    transition: all .4s;
}
.admin-bar header {
    top: 32px;
}
header .container {
    max-width: 1396px;
    padding: 0 24px;
    margin: 0 auto;
}
.site-logo .logo-blank {
    opacity: 0;
}
header .primary-navigation .menu-button-container {
    display: none;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item {
    padding: 0px 15px 0px 15px;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
    padding: 0;
    height: auto;
    font-size: 16px;
    font-weight: 400;
    line-height: 19.09px;
    display: inline-flex;
    align-items: center;
    transition: all .5s;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
    content: '';
    width: 8px;
    height: 8px;
    margin-right: 2px;
    background: url('../images/menu-arrow.svg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: all .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.menu-hover #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children.mega-toggle-on > a.mega-menu-link > span.mega-indicator:after,
.menu-hover #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link:hover > span.mega-indicator:after {
    transform: rotate(-180deg);
}
#mega-menu-wrap-primary {
    background: transparent;
}
body.menu-hover header.change-color .current-lang a,
.header-lang .current-lang a,
.header-lang a:hover {
    color: #fff;
}
body.menu-hover header.change-color .header-lang a {
    color: #FFFFFF80;
}
.header-lang {
    position: relative;
    z-index: 2;
}
.header-lang .lang-item-zh a {
    font-family: 'Noto Sans SC';
}
.header-lang a {
    color: #FFFFFF80;
    font-size: 16px;
    font-weight: 400;
    line-height: 23.5px;
    transition: all .3s;
    text-decoration: none;
    position: relative;
    text-transform: uppercase;
}
.header-lang ul li:not(:last-child)::after {
    content: '/';
    font-family: 'Heebo', sans-serif;
    font-size: 16px;
    font-weight: 700;
    line-height: 23.5px;
    padding: 0 10px;
    display: inline-block;
    vertical-align: bottom;
    color: #FFFFFF80;
    -webkit-clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
    clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
}
.header-lang ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    align-items: center;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
    background: transparent !important;
    position: relative;
    z-index: 2;
}
.header-lang .current-lang a::before,
.header-lang a:hover::before,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:not(.mega-menu-item-has-children) > a.mega-menu-link:hover::before,
.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a.mega-menu-link::before,
/* #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-item > a.mega-menu-link::before, */
.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link:hover::before {
    transform: scaleX(1) translateZ(0);
    transform-origin: 0% 0;
}
.header-lang a::before,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link::before {
    content: '';
    display: block;
    height: 1px;
    width: 100%;
    background: currentColor;
    position: absolute;
    bottom: 2px;
    left: 0;
    will-change: transform;
    transform: scaleX(0) translateZ(0);
    transform-origin: 100% 0;
    transition: transform 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-menu-item-has-children > a.mega-menu-link::after {
    content: '';
    width: 22px;
    height: 19.09px;
    position: absolute;
    left: 100%;
    top: 0;
    z-index: 2;
    display: block;
    background: transparent;
    opacity: 0;
}
.header-lang a::before {
    bottom: 1px;
}
header #mega-menu-wrap-primary #mega-menu-primary{
    opacity: 0;
}
header #mega-menu-wrap-primary #mega-menu-primary.animation-run {
    opacity: 1;
}
header #mega-menu-wrap-primary #mega-menu-primary.animation-run.animation-init > li.mega-menu-item > a.mega-menu-link .split-char {
    transition: none;
}
header #mega-menu-wrap-primary #mega-menu-primary.animation-run li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator,
header #mega-menu-wrap-primary #mega-menu-primary.animation-run > li.mega-menu-item > a.mega-menu-link .split-char {
    filter: blur(0);
    opacity: 1;
    visibility: visible;
    transform: translateX(0px);
}
header #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator,
header #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link .split-char {
    display: inline-block;
    filter: blur(5px);
    opacity: 0;
    visibility: hidden;
    transition: all .5s ease-in-out;
    transform: translate(30px, 0px);
    transition-delay: var(--delay-animation);
}
.no-banner.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.not-hover > a.mega-menu-link,
body.menu-hover header.change-color #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.not-hover > a.mega-menu-link,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.not-hover > a.mega-menu-link {
    color: #FFFFFF80;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link:hover, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link:focus {
    background: transparent;
    text-decoration: none;
}
header .primary-navigation {
    margin-right: 13.8%;
}
#mega-menu-wrap-primary,
#mega-menu-wrap-primary #mega-menu-primary {
    position: static;
}
.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu:not(.not-hover) > ul.mega-sub-menu::before {
    height: calc(100% + 60px);
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu::before {
    content: '';
    width: 100%;
    height: 0;
    position: absolute;
    top: -60px;
    left: 0;
    background: #242424;
    background-image: url('../images/submenu-bg.webp');
    background-position: top center;
    background-repeat: no-repeat;
    transition: all .5s;
    display: block;
    pointer-events: none;
}
.menu-hover #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item.mega-menu-megamenu:not(.not-hover) ul.mega-sub-menu .mega-menu-row > ul.mega-sub-menu {
    opacity: 1;
    pointer-events: auto;
    transition-delay: .3s;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item.mega-menu-megamenu ul.mega-sub-menu .mega-menu-row > ul.mega-sub-menu {
    opacity: 0;
    transition: all .3s;
    pointer-events: none;
}
.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu.mega-toggle-on > ul.mega-sub-menu,
.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu:not(.not-hover) > ul.mega-sub-menu{
    height: auto;
    visibility: visible;
    pointer-events: auto;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item.mega-menu-megamenu ul.mega-sub-menu ul.mega-sub-menu ul.mega-sub-menu {
    margin-top: -2px;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > .mega-menu-row * {
    pointer-events: none;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu.mega-toggle-on > ul.mega-sub-menu > .mega-menu-row *,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu:hover > ul.mega-sub-menu > .mega-menu-row * {
    pointer-events: auto;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu{
    width: 100vw;
    opacity: 1;
    visibility: hidden;
    left: 0;
    background: transparent;
    padding: 62px 0;
    min-height: 300px;
    z-index: 1;
    height: 0;
    pointer-events: none;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row {
    max-width: 992px;
    padding: 0 20px;
    margin: 0 auto;
    float: unset;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item:not(:last-child) {
    margin-bottom: 24px;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item {
    padding: 0;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-contents > .mega-sub-menu {
    max-width: 280px;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-contents {
    padding-right: 100px;
    width: 45%;
    margin-top: 2px;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-items {
    padding-left: 100px;
    width: 55%;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item.not-hover > a.mega-menu-link {
    color: #848484;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:hover, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:focus,
 #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:hover, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:focus,
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link {
    font-size: 20px;
    font-weight: 400;
    line-height: 32px;
    color: #fff;
    transition: all .5s;
    text-transform: none;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item .textwidget {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    letter-spacing: 0;
    color: #E0E0E0;
}
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item h4.mega-block-title, 
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item h4.mega-block-title {
    font-size: 32px;
    font-weight: 500;
    line-height: 41.6px;
    color: #FFFFFF;
    text-transform: initial;
    margin: 0 0 14px;
    letter-spacing: 0;
}
#submenu-line {
    display: block;
    position: absolute;
    left: 0;
    z-index: 3;
    top: -60px;
    pointer-events: none;
}
header.add-bg {
    background: #D6D6D603;
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
    box-shadow: 0px 4px 67.2px 0px #00000008;
    -webkit-box-shadow: 0px 4px 67.2px 0px #00000008;
}
header.change-color .header-lang a {
    color: #0D0D0D80;
}
header.change-color #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
    background: url(../images/menu-arrow-blank.svg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
body.menu-hover.no-banner header #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after,
body.menu-hover.no-banner header.change-color #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after,
body.menu-hover header.change-color #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
    background: url(../images/menu-arrow.svg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
header.change-color .header-lang ul li:not(:last-child)::after,
header.change-color .header-lang .current-lang a,
header.change-color .header-lang a:hover,
header.change-color #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
    color: #0D0D0D;
}
body.menu-hover header.change-color .header-lang ul li:not(:last-child)::after,
body.menu-hover header.change-color .header-lang .current-lang a,
body.menu-hover header.change-color .header-lang a:hover,
body.menu-hover header.change-color #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
    color: #ffffff;
}
body.menu-hover header.change-color .logo img.logo-white,
.no-banner.menu-hover header .logo img.logo-white,
.no-banner header .logo img.logo-blank,
header.change-color .logo img.logo-blank {
    opacity: 1;
}
.no-banner.menu-hover header .logo img.logo-blank,
.no-banner .logo img.logo-white,
body.menu-hover header.change-color .logo img.logo-blank,
header.change-color .logo img.logo-white {
    opacity: 0;
}

body.scroll-up header {
    transform: translateY(0);
}
body.scroll-down header {
    transform: translateY(-100%);
    pointer-events: none;
}

footer {
    background: #F2F2F2;
}
.footer-menu .footer-menu-item {
    width: 170px;
}
footer ul {
    padding: 0;
    margin: 0;
    list-style: none;
}
.footer-menu li:not(:last-child) {
    margin: 0 0 12px;
}

.footer-bottom-menu #footer-bottom-menu-list > li a,
.footer-menu li a {
    font-size: 16px;
    font-weight: 400;
    line-height: 19.09px;
    color: #2E2E2E;
    letter-spacing: 0;
}
footer .copy-right a:hover,
.footer-bottom-menu #footer-bottom-menu-list > li a:hover,
.footer-menu li a:hover {
    text-decoration: underline;
    color: #2E2E2E;
}
footer .copy-right a:hover {
    color: #5F5F5F;
}
.footer-menu li {
    font-size: 16px;
    line-height: 19.2px;
}
.footer-menu .footer-menu-item.footer-left li a,
.footer-title-menu {
    font-size: 16px;
    font-weight: 500;
    line-height: 19.54px;
    color: #2E2E2E;
    text-transform: uppercase;
    margin: 0 0 16px;
}
.footer-menu .footer-menu-item.footer-left li {
    margin: 0;
}
.footer-menu .footer-menu-item.footer-left li:last-child a {
    margin-bottom: 0;
}
footer .socials-link {
    display: flex;
    gap: 20px;
    position: relative;
    top: 3px;
}
footer .container {
    max-width: 1234px;
    width: 100%;
}
.back-to-top:hover {
    background: #1C77FF;
    border-color: #1C77FF;
    color: #fff;
}
.back-to-top {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #1C77FF;
    width: 68px;
    height: 50px;
    border: 1px solid #DADADA;
    border-radius: 200px;
    cursor: pointer;
    transition: all .3s;
}
.footer-bottom {
    margin-top: 70px;
}
.footer-bottom-menu #footer-bottom-menu-list > li:not(:last-child)::after {
    content: '';
    width: 1px;
    height: 22px;
    position: absolute;
    right: -2px;
    top: 3px;
    background: #000000;
}
.footer-bottom-menu #footer-bottom-menu-list > li:not(:last-child) {
    padding-right: 10px;
}
.footer-bottom-menu #footer-bottom-menu-list > li {
    position: relative;
}
.footer-bottom-menu #footer-bottom-menu-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.footer-bottom-right {
    text-align: right;
}
.footer-bottom {
    display: flex;
    gap: 60px;
    flex-wrap: wrap;
    justify-content: space-between;
}
.footer-bottom-menu {
    display: flex;
    margin-bottom: 10px;
    justify-content: flex-end;
}
footer .copy-right a {
    font: inherit;
}
footer .copy-right p,
footer .copy-right {
    font-size: 15px;
    font-weight: 400;
    line-height: 17.89px;
    color: #5F5F5F;
    letter-spacing: 0;
}
.social.wechat{
    position: relative;
}
.social.wechat .qr-code img{
    max-width: 159px;
    max-height: 159px;
}
.social.wechat .qr-code::before {
    content: '';
    position: absolute;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid #B2B2B2;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
}
.social.wechat .qr-code-wapper.is-open {
    opacity: 1;
    pointer-events: auto;
}
.social.wechat .qr-code {
    position: absolute;
    bottom: calc(100% + 12px);
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    background: #B2B2B2;
}
.social.wechat .qr-code-wapper{
    z-index: 1;
    pointer-events: none;
    opacity: 0;
    transition: opacity .3s;
}
footer {
    /* min-height: 100vh; */
    /* display: grid;
    align-content: stretch;
    justify-content: stretch; */
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: auto;
    /* height: 100vh; */
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.footer-top-space {
    display: block;
    height: 100%;
    width: 100%;
}
.footer_sticky-area {
    width: 100%;
    height: 100%;
    /* display: flex;
    align-items: flex-end;
    justify-content: center; */
}
/* .footer_sticky-area {
    position: relative;
    top: -100vh;
    left: 0;
    height: calc(100% + 100vh);
} */
.footer_main .container {
    /* display: flex;
    justify-content: flex-end; */
    width: 100%;
    /* flex-direction: column; */
    padding-top: 61px;
    padding-bottom: 48px;
    height: 100%;
    /* max-height: 100vh; */
}
img {
    max-width: 100%;
}
.footer_main {
    /* height: 100%; */
    /* position: sticky;
    top: 0;
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: flex-end; */
}
#content {
    background: transparent;
    pointer-events: none;
}
main.site-main {
    pointer-events: auto; 
}
.extra-space {
    visibility: hidden;
    pointer-events: none;
    /* min-height: 100vh; */
}
footer .copy-right p {
    margin-bottom: 0;
    -webkit-text-size-adjust: 100%;
}
.footer-logo.in-view.anim-parent img,
footer .footer-logo.anim-parent.in-view .socials-link a,
.footer-bottom-menu.anim-parent.in-view #footer-bottom-menu-list > li:not(:last-child)::after,
.footer-menu.anim-parent.in-view li a,
.footer-menu.anim-parent.in-view .footer-title-menu,
footer .socials-link.anim-parent.in-view a,
footer .copy-right.anim-parent.in-view > div,
.footer-bottom-menu.anim-parent.in-view .menu-item a {
    transform: translate3d(0, 0, 0);
    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%);
}
.footer-logo.anim-parent img,
footer .footer-logo.anim-parent .socials-link a,
.footer-bottom-menu.anim-parent #footer-bottom-menu-list > li:not(:last-child)::after,
.footer-menu.anim-parent .footer-title-menu,
.footer-menu.anim-parent li a,
footer .socials-link.anim-parent a,
footer .copy-right.anim-parent > div,
.footer-bottom-menu.anim-parent .menu-item a {
    transform: translate3d(0, 100%, 0);
    clip-path: polygon(0% -100%, 100% -100%, 100% 0%, 0% 0%);
    transition: clip-path .6s cubic-bezier(0.215, 0.61, 0.355, 1), transform .9s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.footer-logo.anim-parent.in-view .back-to-top {
    transform: translate3d(0, 0, 0);
    clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%);
}
.footer-logo.anim-parent .back-to-top {
    transform: translate3d(0, 100%, 0);
    clip-path: polygon(0% -100%, 100% -100%, 100% 0%, 0% 0%);
    transition: all.3s, clip-path .6s cubic-bezier(0.215, 0.61, 0.355, 1), transform .9s cubic-bezier(0.215, 0.61, 0.355, 1);
}
footer::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #F2F2F2;
    background-color: color-mix(in srgb, #F2F2F2, black 25%);
    opacity: calc(1 - (var(--progress)));
    pointer-events: none;
    z-index: 1;
}
footer a {
    display: inline-block;
}
.popup-notice .notice,
.popup-notice .notice-right {
    display: flex;
    gap: 40px;
    flex-wrap: wrap;
}
.popup-notice .close-notice:hover {
    color: #1C77FF;
}
.popup-notice .close-notice {
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: 0.04em;
    text-decoration: underline;
    color: #0D0D0D;
    position: relative;
    top: 2px;
}
.popup-notice .notice-link:hover {
    color: #0D0D0D;
}
.popup-notice .notice-link {
    font-size: 16px;
    font-weight: 500;
    line-height: 19.54px;
    letter-spacing: 0.03em;
    color: #1C77FF;
    text-decoration: underline;
    text-transform: uppercase;
}
.popup-notice .notice-right {
    width: 24%;
    justify-content: flex-end;
    /* margin-top: 5px; */
}
.popup-notice .notice-left {
    width: calc(76% - 40px);
}
.popup-notice .notice {
    align-items: center;
}
.popup-notice .notice-content p:last-child {
    margin-bottom: 0;
}
.popup-notice .notice-content {
    font-size: 18px;
    font-weight: 400;
    line-height: 27px;
    letter-spacing: 0.01em;
    color: #5F5F5F;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 20px 0 0;
}
.popup-notice .notice-title {
    font-size: 20px;
    font-weight: 400;
    line-height: 26px;
    margin: 0;
    letter-spacing: 0;
}
body.popup-show .popup-notice {
    opacity: 1;
    pointer-events: auto;
}
.popup-notice .container {
    max-width: 1390px;
}
.popup-notice {
    position: fixed;
    width: 100%;
    left: 0;
    bottom: 0;
    background: #F8F8F8;
    border-bottom: 6px solid #1C77FF;
    z-index: 999999;
    padding: 28px 0;
    opacity: 0;
    transition: all .3s;
    pointer-events: none;
}
/* body.popup-show .site::after {
    z-index: 99999;
    pointer-events: auto;
} */
#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu.mega-menu-item.mega-menu-item-has-children>a {
    margin-right: 16px;
}
#mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
    position: absolute;
    left: 100%;
    top: 5px;
    margin: 0;
    padding: 0 0 0 6px;
}
@media (min-width: 768px) {
    .no-banner #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator:after {
        background: url(../images/menu-arrow-blank.svg);
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
    }
    .footer-logo {
        margin-top: -12px;
        order: 2;
    }
    .footer-top {
        display: flex;
        gap: 27px;
        justify-content: space-between;
    }
    header .screen-mobile,
    footer .screen-mobile,
    .menu-modal-toggle,
    .menu-modal {
        display: none;
    }
    .footer-menu {
        display: flex;
        gap: 60px;
        justify-content: flex-start;
        align-items: flex-start;
        flex-wrap: wrap;
    }
    .no-banner .header-lang a {
        color: #0D0D0D80;
    }
    .no-banner.menu-hover .header-lang a {
        color: #FFFFFF80;
    }
    .no-banner.menu-hover .header-lang ul li:not(:last-child)::after,
    .no-banner.menu-hover .header-lang .current-lang a,
    .no-banner.menu-hover #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        color: #FFFFFF;
    }
    .no-banner .header-lang ul li:not(:last-child)::after,
    .no-banner .header-lang .current-lang a, 
    .no-banner .header-lang a:hover,
    .no-banner #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        color: #0D0D0D;
    }
}
@media(min-width: 768px) and (max-width: 991px) {
    header .header-logo,
    header .logo {
        max-width: 150px;
    }
    header .logo img,
    header .logo {
        height: 59px;
    }
    header .header-right,
    header .header-wraper {
        gap: 20px;
    }
}
@media(max-width: 1599px) {
    header .primary-navigation {
        margin-right: 13.5%;
    }
    .footer-bottom {
        margin-top: 68px;
    }
    .footer-title-menu {
        margin: 0 0 14px;
    }
}
@media(min-width: 1026px) and (max-width: 1229px) {
    #submenu-line {
        left: -20px;
    }
}
@media(max-width: 1365px) {
    .footer-menu .footer-menu-item {
        width: 160px;
    }
    .footer-menu {
        gap: 50px;
    }
}
@media(max-width: 1199px) {
    .footer-menu .footer-menu-item {
        width: 150px;
    }
    .footer-menu {
        gap: 40px;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-items {
        padding-left: 80px;
    }
}
@media(max-width: 1024px) {
    #submenu-line {
        left: 3.5%;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-contents {
        padding-right: 80px;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-items {
        padding-left: 50px;
    }
    header .primary-navigation {
        margin-right: 60px;
    }
    .footer-bottom {
        gap: 30px;
    }
    .popup-notice .notice, .popup-notice .notice-right {
        gap: 30px;
    }
    .popup-notice .notice-left {
        width: calc(76% - 30px);
    }
}
@media(max-width: 991px) {
    /* #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu.mega-menu-item.mega-menu-item-has-children {
        padding-right: 26px;
    } */
    .footer-bottom-menu #footer-bottom-menu-list > li:not(:last-child)::after {
        top: -1px;
    }
    .footer-menu .footer-menu-item {
        width: 140px;
    }
    .footer-menu {
        gap: 20px;
    }
    #submenu-line {
        left: 0;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-contents {
        padding-right: 50px;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-items {
        padding-left: 0;
    }
    header .primary-navigation {
        margin-right: 0px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item {
        padding: 0px 10px;
    }
    .popup-notice .notice-left {
        width: calc(75% - 30px);
    }
    .popup-notice .notice-right {
        width: 25%;
    }

    .popup-notice {
        border-bottom: 6px solid #1C77FF;
        padding: 30px 0;
    }
    .popup-notice .notice {
        flex-direction: column;
        gap: 20px;
    }
    .popup-notice .notice-right,
    .popup-notice .notice-left {
        width: 100%;
    }
    .popup-notice .notice-right {
        gap: 40px;
    }
}
@media(max-width: 782px) {
    .admin-bar header {
        top: 46px;
    }
}
@media(max-width: 991px) and (min-width: 768px) {
    footer .socials-link {
        gap: 15px;
    }
    .footer-bottom {
        gap: 20px;
    }
}
@media(max-width: 767.98px) {
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-menu-item-has-children > a.mega-menu-link::after {
        width: calc(100vw - 48px);
        height: 100%;
        left: 0;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
        top: 23px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu.mega-menu-item.mega-menu-item-has-children {
        padding-right: 0;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-contents,
    #mega-menu-wrap-primary .mega-menu-toggle,
    header .header-right {
        display: none;
    }
    footer .screen-desktop {
        display: none;
    }
    .footer-menu {
        column-count: 2;
        column-gap: 15px;
        margin-top: 60px;
    }
    .footer-menu .footer-menu-item {
        break-inside: avoid;
        width: 100%;
        margin-bottom: 40px;
    }
    .footer-bottom {
        margin-top: 35px;
    }
    .footer-menu li:not(:last-child) {
        margin: 0 0 16px;
    }
    header .logo,
    header .logo img {
        height: 56px;
    }
    .no-banner.menu-open .logo img.logo-blank,
    .menu-modal-toggle > span.close-button {
        opacity: 0;
    }
    .no-banner.menu-open .menu-modal-toggle > span {
        color: #fff;
    }
    .no-banner .menu-modal-toggle > span {
        color: #0D0D0D;
    }
    .menu-modal-toggle > span {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        color: #fff;
        transition: all .3s;
    }
    .menu-modal-toggle {
        width: 30px;
        height: 28px;
        position: relative;
    }
    header {
        padding: 12px 0;
    }
    .menu-open .menu-modal {
        opacity: 1;
        transform: translateY(0);
    }
    .header-lang ul li:not(:last-child)::after,
    .header-lang .social a,
    .header-lang a {
        clip-path: none;
    }
    .menu-modal {
        position: fixed;
        width: 100%;
        height: calc(100vh - 80px);
        max-height: 586px;
        top: 80px;
        background: #242424;
        z-index: 9998;
        padding: 36px 24px 70px;
        opacity: 0;
        transform: translateY(calc(-100% - 80px));
        transition: all .5s;
    }
    .admin-bar .menu-modal {
        top: 126px;
        height: calc(100vh - 126px);
    }
    .header-lang .social a::before {
        display: none;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children.mega-toggle-on > a.mega-menu-link > span.mega-indicator:after, 
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link:hover > span.mega-indicator:after {
        transform: rotate(0deg);
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
        margin: -3px 0 0 0;
    }
    #mega-menu-wrap-primary .mega-menu-toggle + #mega-menu-primary {
        display: block;
        position: static;
        width: 100%;
        height: auto;
        visibility: visible;
        overflow: hidden;
    }
    .menu-modal-top {
        max-height: 100%;
        overflow-y: auto;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column.sub-items {
        padding: 25px 0 24px 20px;
        width: 100%;
        display: none;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:focus, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:hover, 
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link:focus, 
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-menu-item > a.mega-menu-link {
        font-size: 18px;
        line-height: 28.8px;
        letter-spacing: 0;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a.mega-menu-link {
        font-weight: 500;
    }
    .no-banner.menu-open .logo img.logo-white,
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item.mega-menu-megamenu ul.mega-sub-menu ul.mega-sub-menu {
        opacity: 1;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link {
        font-size: 18px;
        font-weight: 500;
        line-height: 21.98px;
        padding: 15px 0;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item:not(:last-child) {
        margin-bottom: 8px;
    }
    .header-lang,
    .menu-modal .socials-link {
        display: flex;
        gap: 12px;
    }
    .menu-modal-bottom {
        position: absolute;
        width: calc(100% - 48px);
        left: 24px;
        bottom: 35px;
    }
    .header-lang .menu-language {
        position: relative;
        top: 3px;
    }
    .menu-modal .social svg {
        width: 100%;
    }
    .menu-modal .social {
        width: 26px;
        height: 26px;
    }
    .header-lang a {
        color: #FFFFFF80;
    }
    .header-lang {
        justify-content: space-between;
    }
    .header-lang .social  a,
    .header-lang .current-lang a {
        color: #fff;
    }
    .menu-open .menu-modal-toggle > span.close-button {
        opacity: 1;
    }
    .menu-open .menu-modal-toggle > span.open-button {
        opacity: 0;
    }
    .menu-open header.add-bg,
    .menu-open header {
        background: #242424;
        backdrop-filter: unset;
        box-shadow: none;
    }
    body.menu-open,
    #primary {
        overflow: hidden;
    }
    .social.wechat .qr-code img {
        max-width: 120px;
        max-height: 120px;
    }

    /* body.scroll-down header {
        opacity: 1;
    } */
    header.add-bg {
        background: #D6D6D603;
        backdrop-filter: blur(25px);
        -webkit-backdrop-filter: blur(25px);
        box-shadow: 0px 4px 67.2px 0px #00000008;
        -webkit-box-shadow: 0px 4px 67.2px 0px #00000008;
        padding: 11px 0;
    }
    .menu-open header.add-bg .site-logo .logo-blank{
        opacity: 0;
    }
    .menu-open header.add-bg .site-logo .logo-white {
        opacity: 1;
    }
    header.change-color .menu-modal-toggle > span {
        color: #000000;
    }
    .menu-open header.add-bg .menu-modal-toggle > span {
        color: #FFFFFF;
    }
    header.add-bg .logo, header.add-bg .logo img {
        height: 38px;
    }
    .admin-bar header.add-bg + .menu-modal {
        top: 106px;
        height: calc(100vh - 106px);
    }
    header.add-bg + .menu-modal {
        height: calc(100vh - 60px);
        top: 60px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a.mega-menu-link::before {
        display: none;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
        pointer-events: none;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
        visibility: visible;
        min-height: unset;
        height: auto;
        pointer-events: auto;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu {
        padding: 0;
        width: 100%;
        display: block;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children > a.mega-menu-link:hover > span.mega-indicator:after {
        transform: rotate(0);
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children.sub-menu-open > a.mega-menu-link > span.mega-indicator:after,
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children.sub-menu-open > a.mega-menu-link:hover > span.mega-indicator:after {
        transform: rotate(-180deg);
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row {
        max-width: 100%;
        padding: 0;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item-has-children.mega-toggle-on > a.mega-menu-link > span.mega-indicator:after {
        content: '';
    }
    .menu-modal a,
    header a,
    footer a {
        outline: none;
        -webkit-tap-highlight-color: transparent;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item {
        padding: 0;
    }
    .footer_main .container {
        padding-top: 26px;
        padding-bottom: 37px;
    }
    .footer-title-menu {
        margin: 0 0 16px;
    }
    .footer-logo img {
        height: 64.6px;
        width: auto;
        max-width: 100%;
        display: block;
    }
    footer .socials-link svg {
        width: 28.11px;
    }
    footer .socials-link {
        top: 0;
        gap: 11px;
    }
    .back-to-top {
        width: 61px;
        height: 45px;
    }
    footer .socials-back {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 30px;
    }
    .footer-bottom-menu {
        margin-bottom: 30px;
        justify-content: flex-start;
    }
    footer .copy-right {
        text-align: left;
    }
    .footer-bottom-menu #footer-bottom-menu-list > li {
        font-size: 16px;
        line-height: 19.09px;
    }
    .footer-bottom-menu #footer-bottom-menu-list {
        gap: 13px 10px;
    }
    .extra-space {
        height: calc(100vh + 65px);
    }
    .footer-bottom-menu #footer-bottom-menu-list > li:not(:last-child)::after {
        top: -1px;
    }
    #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu::before {
        display: none;
    }
    #mega-menu-wrap-primary .mega-menu-toggle + #mega-menu-primary {
        background: transparent;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item.mega-menu-megamenu ul.mega-sub-menu .mega-menu-row > ul.mega-sub-menu {
        opacity: 1;
        transition: none;
        transition-delay: 0s;
    }
    #mega-menu-wrap-primary #mega-menu-primary li.mega-menu-item.mega-toggle-on > ul.mega-sub-menu {
        visibility: visible;
    }
    .social.wechat .qr-code,
    .social.wechat .qr-code::before {
        left: 0;
        transform: none;
    }
}
@media(max-width: 600px) {
    .admin-bar.scroll-up.change-top-header .menu-modal {
        height: calc(100vh - 126px);
    }
    .admin-bar header.add-bg + .menu-modal {
        top: 106px;
        height: calc(100vh - 60px);
    }
    .admin-bar.scroll-down header.add-bg + .menu-modal,
    .admin-bar.scroll-up header.add-bg + .menu-modal {
        top: 60px;
    }
    .admin-bar.scroll-down .menu-modal,
    .admin-bar.scroll-up .menu-modal {
        top: 80px;
    }
    .admin-bar.scroll-down.change-top-header .menu-modal,
    .admin-bar.scroll-up.change-top-header .menu-modal {
        top: 126px;
    }
    .admin-bar.scroll-down header,
    .admin-bar.scroll-up header {
        top: 0;
    }
    .admin-bar.change-top-header header {
        top: 46px;
    }
}